* {
    margin: 0px auto;
    padding: 0px;
}

body {
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, #41f06d , #4747fd);
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

#main {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    margin-top: 1%;
}

.on-off{
    width: 400px;
    height: 70px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-top: 3%;
}

.on-off #aviso {
    font-size: 30px;
    font-family: Arial, Sans-Serif, Comic;
    color: black;
}

#aviso .modo{
    color: red;
}

#boton-main {
    width: 100px;
    height: 35px;
    background: red;
    color: #000;
    border-radius: 10px;

}
#boton-main:hover{
    background: rgb(247, 58, 58);
    cursor: pointer;
    color: white;

}

#aviso-error{
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    color: red;

}

#id-image-calculator{
    display: none;
    width: 400px;
    height: 500px;
    margin-top: 0%;
    border-radius: 50px;
    overflow: hidden;
}

#id-image-calculator img{
    width: 100%;
    height: 100%;
}

#calculator {
    width: 400px;
    height: 500px;
    margin-top: 0%;
    border-radius: 50px;
    box-shadow: 1px 2px 3px black;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    background: #00052E;
    margin-bottom: 30px;
}

#visor {
    width: 90%;
    height: 80px;
    background: #9A9EFF;
    border-radius: 30px;
    margin-top: 3%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

#visor span {
    line-height: 80px;
    font-family: Arial, Sans-Serif;
    font-family: 30px;
    color: #000000;
}



#botones {
    width: 97%;
    height: 300px;
    margin-top: 3%;
    display: grid;
    grid-template-columns: 75% 25%;

}

#botones #botones-numeros {
    width: 100%;
    height: 100;

}

#botones-numeros #all-number {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
}

#all-number .boton {
    background: #5F5F5F;
    border-radius: 10px;
    width: 90%;
    height: 70px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
    margin: 5px;
}
#all-number .boton:hover{
    background: #929292;
    cursor: pointer;
}

.boton span {
    color: white;
}

.boton-cero {
    background: #5F5F5F;
    border-radius: 10px;
    width: 97%;
    height: 60px;
    margin: 5px;
    line-height: 60px;
    text-align: center;
}
.boton-cero:hover{
    background: #929292;
    cursor: pointer;
}

.boton-cero #cero {
    height: 30px;
    color: white;

}

#botones #botones-operadores {
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: repeat(5, 1fr);
}


#botones-operadores .boton-oper {
    background: #5F5F5F;
    border-radius: 10px;
    width: 90%;
    height: 52px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
    margin: 5px;
}
#botones-operadores .boton-oper:hover{
    background: #929292;
    cursor: pointer;
}
.boton-oper span{
    color: white;
}

#all-eliminar{
    width: 97%;
    height: 50px;
    display: flex;
    flex-wrap: wrap;
}

.boton-eliminar {
    width: 45%;
    height: 50px;
    background: red;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
    margin-top: 6%;
    ;
}
.boton-eliminar:hover{
    background: rgb(247, 58, 58);
    cursor: pointer;
}
#content-eliminar{
    border-radius: 0px 0px 0px 20px;
}
#content-eliminar-one{
    border-radius: 0px 0px 20px 0px;
}


.boton-eliminar span {
    font-size: 30px;
    color: black;
}

#footer{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
    width: 100%;
    height: 50px;
    background-color: #388AF2;
    margin-top: auto;
}
#footer p{
    font-size: 15px;
    font-family: Arial, Helvetica, sans-serif;
    text-align: center;
}

#footer p a{
    text-decoration: none;
    color: black;
}
#footer p a:hover{
    color: #00052E;
    cursor: pointer;
}